-- QtPromise 第三方库配置
-- 此文件被主项目通过 includes("qtpromise") 引入

-- QtPromise 库
target("qtpromise")
    set_kind("static")
    if is_plat("windows") then
        add_defines("UNICODE", "_UNICODE")
    end
    
    -- 源文件
--    add_files("src/qtpromise/*.cpp")
    
    -- 头文件
    add_headerfiles("src/qtpromise/*.h")
    
    -- 包含目录
    add_includedirs("include", {public = true})
    add_includedirs("src", {public = true})
    
    -- Qt 配置
    add_rules("qt.static")
    
    -- Qt MOC 处理
    add_files("src/qtpromise/*.h", {rules = "qt.moc"})
    
    -- C++17 标准
    set_languages("c++17")
    
    -- 编译选项
    if is_plat("windows") then
        add_cxflags("/utf-8")
    else
        add_cxflags("-Wall", "-Wextra")
    end
    
target_end()
